Support » Plugin: WordPress Countdown Widget » 3.0 update killed the website

  • Resolved marcfuller

    (@marcfuller)



    Just updated to the new version and below is the result! Please correct or advise.

    Warning: require_once(countdown-options.php): failed to open stream: No such file or directory in /home/coloradr/public_html/cr/wp-content/plugins/wordpress-countdown-widget/countdown-widget.php on line 45

    Fatal error: require_once(): Failed opening required ‘countdown-options.php’ (include_path=’.:/opt/alt/php71/usr/share/pear’) in /home/coloradr/public_html/cr/wp-content/plugins/wordpress-countdown-widget/countdown-widget.php on line 45

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Metin Saylan

    (@mattsay)

    Hello Marc, thanks for your quick report.
    I released a fix (3.1) for this issue. Please check.
    Sorry for the inconvenience.

    Other than the numeric ver change the are no Changelog details for 3.1.

    How is it fixed? Before I try the update might you provide the details?

    Plugin Author Metin Saylan

    (@mattsay)

    Sure, I added 3 files. One of them is countdown-options-page.php which renders Countdown Widget’s plugin options page. Options page is now used to customize Countdown labels as you like. The other file is countdown-options.php which stores default options for the plugin, and acts as a base for the options page, so it can be generated easier. I used an array to first define the options, then I iterate through that array to generate html codes for the options fields. Third and the last file is countdown-admin.css file. That file defines appearance styles of the options page fields. So they appear nicer to the user. After adding those files to the subversion, it solved “Failed opening required countdown-options.php” error. Because countdown-widget.php file needs that file to generate the options page for the plugin. And that’s all.

    Easy things to happen when creating a new distro.

    The 3.1 update fixed all the issues and works perfectly.

    Thank you! Great plugin!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘3.0 update killed the website’ is closed to new replies.